Skip to main content
POST
/
firewall
/
groups
Create a firewall group
curl --request POST \
  --url https://console.wenium.com/api/firewall/groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Web Security Group"
}
'
{
  "status": true,
  "message": "Firewall Group created.",
  "data": {
    "id": 1,
    "name": "Web Security Group",
    "user_id": 1,
    "organization_id": 2,
    "created_at": "2026-07-03T00:00:00.000000Z",
    "updated_at": "2026-07-03T00:00:00.000000Z",
    "rules": [
      {
        "id": 1,
        "firewall_group_id": 1,
        "type": "Inbound",
        "action": "ACCEPT",
        "protocol": "TCP",
        "port": "80",
        "address": "0.0.0.0/0",
        "created_at": "2026-07-03T00:00:00.000000Z",
        "updated_at": "2026-07-03T00:00:00.000000Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Example:

"Web Security Group"

Response

200 - application/json

Group created

status
boolean
Example:

true

message
string
Example:

"Firewall Group created."

data
object